aboutsummaryrefslogtreecommitdiffstats
path: root/target/linux/lantiq/base-files/lib/upgrade/platform.sh
diff options
context:
space:
mode:
Diffstat (limited to 'target/linux/lantiq/base-files/lib/upgrade/platform.sh')
-rwxr-xr-xtarget/linux/lantiq/base-files/lib/upgrade/platform.sh47
1 files changed, 47 insertions, 0 deletions
diff --git a/target/linux/lantiq/base-files/lib/upgrade/platform.sh b/target/linux/lantiq/base-files/lib/upgrade/platform.sh
new file mode 100755
index 0000000..e876b11
--- /dev/null
+++ b/target/linux/lantiq/base-files/lib/upgrade/platform.sh
@@ -0,0 +1,47 @@
+. /lib/functions/lantiq.sh
+
+PART_NAME=firmware
+
+platform_check_image() {
+ [ "$#" -gt 1 ] && return 1
+ local board=$(lantiq_board_name)
+
+ case "$board" in
+ BTHOMEHUBV2B|BTHOMEHUBV3A|BTHOMEHUBV5A|P2812HNUF* )
+ nand_do_platform_check $board $1
+ return $?;
+ ;;
+ esac
+
+ case "$(get_magic_word "$1")" in
+ # uImage
+ 2705) return 0;;
+ # tplink
+ 0200) return 0;;
+ *)
+ echo "Invalid image type"
+ return 1
+ ;;
+ esac
+}
+
+platform_pre_upgrade() {
+ local board=$(lantiq_board_name)
+
+ case "$board" in
+ BTHOMEHUBV2B|BTHOMEHUBV3A|BTHOMEHUBV5A|P2812HNUF* )
+ nand_do_upgrade $1
+ ;;
+ esac
+}
+
+# use default for platform_do_upgrade()
+
+disable_watchdog() {
+ killall watchdog
+ ( ps | grep -v 'grep' | grep '/dev/watchdog' ) && {
+ echo 'Could not disable watchdog'
+ return 1
+ }
+}
+append sysupgrade_pre_upgrade disable_watchdog